Docs
BasicsAPI Reference
BasicsAPI Reference
  1. PaymentLinks
  • Integration Guide
    • Payment Links
    • Charges
    • Webhooks
  • PaymentLinks
    • Create payment link
      POST
    • List payment links
      GET
    • Get payment link
      GET
    • Cancel payment link
      POST
  • Charges
    • List charges
      GET
    • Get charge
      GET
  • Webhooks
    • Payment Link
    • Charge
  1. PaymentLinks

List payment links

GET
/payment-links
Returns payment links belonging to the token's branch only.

Request

Authorization
Bearer Token
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
or
Query Params

Responses

🟢200
application/json
List of payment links
Bodyapplication/json

🟠401Unauthorized
🟠429TooManyRequests
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://public-api.woldy.xyz/v1/payment-links?statuses=&sources=&ids=&external_id=&created_at_from=&created_at_to=&limit=&offset=' \
--header 'Authorization: Bearer <token>'
Response Response Example
200 - Example 1
{
    "items": [
        {
            "id": "pl_AAAA...",
            "branch_id": "cb_AAAA...",
            "reference_type": "PAYMENT_LINK",
            "status": "PENDING",
            "source": "DASHBOARD",
            "type": "FIXED",
            "chain_id": "eip155:8453",
            "price_currency": "USD",
            "price_amount": "10.00",
            "pay_currency": "USDC",
            "pay_amount": "10.00",
            "message": "Order #12345",
            "payment_url": "https://gateway.woldy.xyz/pl/AZ-X2wuJfQ-aFbMIEo_Klg",
            "return_url": "https://example.com/success",
            "external_id": "order_123",
            "expires_at": "2019-08-24T14:15:22.123Z",
            "created_at": "2019-08-24T14:15:22.123Z",
            "updated_at": "2019-08-24T14:15:22.123Z"
        }
    ],
    "meta": {
        "total": 1,
        "limit": 50,
        "offset": 0,
        "next": "/v1/payment-links?limit=50&offset=50"
    }
}
Modified at 2026-08-19 07:13:55
Previous
Create payment link
Next
Get payment link
Built with